/**
 * <copyright>
 * </copyright>
 *
 * $Id: SchemaValidator.java,v 1.1 2008-04-01 09:35:42 vmahe Exp $
 */
package orgomg.cwm.resource.multidimensional.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.resource.multidimensional.Dimension;
import orgomg.cwm.resource.multidimensional.DimensionedObject;

/**
 * A sample validator interface for {@link orgomg.cwm.resource.multidimensional.Schema}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface SchemaValidator {
	boolean validate();

	boolean validateDimensionedObject(EList<DimensionedObject> value);
	boolean validateDimension(EList<Dimension> value);
}
